Subject: Re: bug#9310: BadWindow error with quail guidance frame
From: Stefan Monnier <[email-masked]>
To: "Jan D." <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Oct 2011 13:46:57 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

>>> Basically set synchronized and break in the error function.
>> OK, that part was already done.
>>> Then go up the call stack to find the frame the window belongs to,
>> That as well: it's the minibuffer-only frame.
>>> or see if it is some uninitialized value.
>> Doesn't look like it, the frames involved seem to have sensible
>> field values.  This problem started around the time the new window.c code
>> was installed, FWIW (which doesn't mean it's actually related).
> You can try xwininfo -id <the window> to see if there is something special
> about that window.  Compare with another window you have in Emacs.

Nothing stands out, no.  I just installed a patch that ignores errors in
that XSetWindowBorder function and it seems to be sufficient.

        Stefan